Перейти к содержимому

POST /templates/tags

Assign template tags

Assign tag(s) to a template build

Тело запроса

Обязательно: да

application/json

Схема: AssignTemplateTagsRequest

  • target · string · обязательно

    Target template in "name:tag" format

  • tags · array<string> · обязательно

    Tags to assign to the template

Ответы

201

Tag assigned successfully

Content-Type: application/json

Схема: AssignedTemplateTags

  • tags · array<string> · обязательно

    Assigned tags of the template

  • buildID · string · обязательно

    Identifier of the build associated with these tags

    Формат: uuid

400

Bad request

Content-Type: application/json

Схема: Error

  • code · integer · обязательно

    Error code

    Формат: int32

  • message · string · обязательно

    Error

401

Authentication error

Content-Type: application/json

Схема: Error

  • code · integer · обязательно

    Error code

    Формат: int32

  • message · string · обязательно

    Error

404

Not found

Content-Type: application/json

Схема: Error

  • code · integer · обязательно

    Error code

    Формат: int32

  • message · string · обязательно

    Error

500

Server error

Content-Type: application/json

Схема: Error

  • code · integer · обязательно

    Error code

    Формат: int32

  • message · string · обязательно

    Error